Bug 1916952 - OperatorExited, Pending marketplace-operator-... pod for several weeks
Summary: OperatorExited, Pending marketplace-operator-... pod for several weeks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.z
Assignee: Alexander Greene
QA Contact: Tom Buskey
URL:
Whiteboard:
Depends On: 1909217
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-15 22:47 UTC by OpenShift BugZilla Robot
Modified: 2021-02-03 10:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-03 10:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 377 0 None closed Bug 1916952: Do not report degraded when Marketplace exits gracefully 2021-02-01 16:19:17 UTC
Red Hat Product Errata RHSA-2021:0281 0 None None None 2021-02-03 10:12:10 UTC

Comment 2 Tom Buskey 2021-01-22 14:32:38 UTC
oc get pod
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-bd576c7f6-mvtft     1/1     Running   0          35m
community-operators-bddbdc86f-6jhz8     1/1     Running   0          35m
marketplace-operator-68b75bffd7-z6mdw   1/1     Running   0          35m
redhat-marketplace-5c84d87469-wxbz6     1/1     Running   0          35m
redhat-operators-58c878f7b-7mwtj        1/1     Running   0          35m

oc delete pod marketplace-operator-68b75bffd7-z6mdw
pod "marketplace-operator-68b75bffd7-z6mdw" deleted

oc get pod
NAME                                    READY   STATUS    RESTARTS   AGE
marketplace-operator-68b75bffd7-qf4lv   1/1     Running   0          4m1s

oc get event 2>&1 | grep -i exit
# no output
oc get co
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
marketplace                                4.4.0-0.nightly-2021-01-22-060307   True        False         False      2m25s

oc  logs marketplace-operator-68b75bffd7-qf4lv
time="2021-01-22T14:19:47Z" level=info msg="Registering Components."
time="2021-01-22T14:19:47Z" level=info msg="Waiting to become leader."
time="2021-01-22T14:20:04Z" level=info msg="Elected leader."
time="2021-01-22T14:20:04Z" level=info msg="Starting the Cmd."

oc get cm marketplace-operator-lock  -o yaml
 ownerReferences:
  - apiVersion: v1
    kind: Pod
    name: marketplace-operator-68b75bffd7-qf4lv

oc version
Client Version: openshift-clients-4.4.0-202006211643.p0-11-g6be950302
Server Version: 4.4.0-0.nightly-2021-01-22-060307
Kubernetes Version: v1.17.1+db5e74b

/lgtm

Comment 5 errata-xmlrpc 2021-02-03 10:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.4.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0281


Note You need to log in before you can comment on or make changes to this bug.